function s(o, n) {
  n.forEach((r) => {
    const c = r.prototype;
    Object.getOwnPropertyNames(c).forEach((t) => {
      if (t === "constructor")
        return;
      const e = Object.getOwnPropertyDescriptor(c, t);
      e && (e.get || e.set) ? Object.defineProperty(o.prototype, t, e) : o.prototype[t] = r.prototype[t];
    });
  });
}
export {
  s as applyMixins
};
